#!/bin/bash

export BSE_CPUS
export BSE_BLOCK_SIZE

for BSE_BLOCK_SIZE in 64 128 256 512 1024
do
  echo "# BSE_BLOCK_SIZE=$BSE_BLOCK_SIZE"
  for BSE_CPUS in $(seq 8)
  do
    TIME=$(/usr/bin/time -f %e bse/bsetool render2wav --bse-mixing-freq=48000 --bse-pcm-driver null=nosleep --bse-midi-driver null --bse-rcfile "/dev/null" --bse-override-plugin-globs './plugins/.libs/*.so:./plugins/freeverb/.libs/*.so' --bse-override-sample-path './af-tests:./library/samples' --bse-disable-randomization Demos/partymonster.bse /dev/null 2>&1 >/dev/null)

    echo "$BSE_CPUS $TIME"
  done
done
